VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutNVX Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | IndirectCommandsLayoutNVX ()
VULKAN_HPP_CONSTEXPR | IndirectCommandsLayoutNVX (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | IndirectCommandsLayoutNVX (VkIndirectCommandsLayoutNVX indirectCommandsLayoutNVX)
IndirectCommandsLayoutNVX & | operator= (std::nullptr_t)
bool | operator== (IndirectCommandsLayoutNVX const &rhs) const
bool | operator!= (IndirectCommandsLayoutNVX const &rhs) const
bool | operator< (IndirectCommandsLayoutNVX const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkIndirectCommandsLayoutNVX () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkIndirectCommandsLayoutNVX | m_indirectCommandsLayoutNVX

## Detailed Description

Definition at line 4351 of file vulkan.hpp.

## Constructor & Destructor Documentation

## IndirectCommandsLayoutNVX() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutNVX::IndirectCommandsLayoutNVX | ( |  | ) |

inline

Definition at line 4354 of file vulkan.hpp.

: m_indirectCommandsLayoutNVX(VK_NULL_HANDLE)
{}

## IndirectCommandsLayoutNVX() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutNVX::IndirectCommandsLayoutNVX | ( | std::nullptr_t |  | ) |

inline

Definition at line 4358 of file vulkan.hpp.

: m_indirectCommandsLayoutNVX(VK_NULL_HANDLE)
{}

## IndirectCommandsLayoutNVX() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutNVX::IndirectCommandsLayoutNVX | ( | VkIndirectCommandsLayoutNVX | indirectCommandsLayoutNVX | ) |

inline

Definition at line 4362 of file vulkan.hpp.

: m_indirectCommandsLayoutNVX( indirectCommandsLayoutNVX )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutNVX::operator bool | ( |  | ) | const

inline explicit

Definition at line 4402 of file vulkan.hpp.

{
return m_indirectCommandsLayoutNVX != VK_NULL_HANDLE;
}

References m_indirectCommandsLayoutNVX, and VK_NULL_HANDLE.

## operator VkIndirectCommandsLayoutNVX()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutNVX::operator VkIndirectCommandsLayoutNVX | ( |  | ) | const

inline

Definition at line 4397 of file vulkan.hpp.

{
return m_indirectCommandsLayoutNVX;
}

References m_indirectCommandsLayoutNVX.

## operator!()

bool VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutNVX::operator! | ( |  | ) | const

inline

Definition at line 4407 of file vulkan.hpp.

{
return m_indirectCommandsLayoutNVX == VK_NULL_HANDLE;
}

References m_indirectCommandsLayoutNVX, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutNVX::operator!= | ( | IndirectCommandsLayoutNVX const & | rhs | ) | const

inline

Definition at line 4385 of file vulkan.hpp.

{
return m_indirectCommandsLayoutNVX != rhs.m_indirectCommandsLayoutNVX;
}

References m_indirectCommandsLayoutNVX.

## operator<()

bool VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutNVX::operator< | ( | IndirectCommandsLayoutNVX const & | rhs | ) | const

inline

Definition at line 4390 of file vulkan.hpp.

{
return m_indirectCommandsLayoutNVX < rhs.m_indirectCommandsLayoutNVX;
}

References m_indirectCommandsLayoutNVX.

## operator=()

IndirectCommandsLayoutNVX& VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutNVX::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 4374 of file vulkan.hpp.

{
m_indirectCommandsLayoutNVX = VK_NULL_HANDLE;
return *this;
}

References m_indirectCommandsLayoutNVX, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutNVX::operator== | ( | IndirectCommandsLayoutNVX const & | rhs | ) | const

inline

Definition at line 4380 of file vulkan.hpp.

{
return m_indirectCommandsLayoutNVX == rhs.m_indirectCommandsLayoutNVX;
}

References m_indirectCommandsLayoutNVX.

## Field Documentation

## m_indirectCommandsLayoutNVX

VkIndirectCommandsLayoutNVX VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutNVX::m_indirectCommandsLayoutNVX

private

Definition at line 4413 of file vulkan.hpp.

Referenced by operator bool(), operator VkIndirectCommandsLayoutNVX(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49
VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutNVX::m_indirectCommandsLayoutNVX
VkIndirectCommandsLayoutNVX m_indirectCommandsLayoutNVX
Definition: vulkan.hpp:4413